net.sf.jasperreports.engine

## Interface JRIdentifiable

- All Known Subinterfaces:
    BaseColumn, Column, ColumnGroup, JRBreak, JRChart, JRComponentElement, JRCrosstab, JRDataset, JRDatasetRun, JRElement, JREllipse, JRFrame, JRGenericElement, JRGenericPrintElement, JRGraphicElement, JRImage, JRLine, JRPrintElement, JRPrintEllipse, JRPrintFrame, JRPrintGraphicElement, JRPrintImage, JRPrintLine, JRPrintRectangle, JRPrintText, JRRecordedValuesPrintElement, JRRectangle, JRReport, JRStaticText, JRSubreport, JRTextElement, JRTextField
  All Known Implementing Classes:
    ElementDecorator, FillDatasetRun, FillTableSubreport, JasperDesign, JasperReport, JRBaseBreak, JRBaseChart, JRBaseComponentElement, JRBaseCrosstab, JRBaseDataset, JRBaseDatasetRun, JRBaseElement, JRBaseEllipse, JRBaseFrame, JRBaseGenericElement, JRBaseGenericPrintElement, JRBaseGraphicElement, JRBaseImage, JRBaseLine, JRBasePrintElement, JRBasePrintEllipse, JRBasePrintFrame, JRBasePrintGraphicElement, JRBasePrintImage, JRBasePrintLine, JRBasePrintRectangle, JRBasePrintText, JRBaseRectangle, JRBaseReport, JRBaseStaticText, JRBaseSubreport, JRBaseTextElement, JRBaseTextField, JRDesignBreak, JRDesignChart, JRDesignComponentElement, JRDesignCrosstab, JRDesignDataset, JRDesignDatasetRun, JRDesignElement, JRDesignEllipse, JRDesignFrame, JRDesignGenericElement, JRDesignGraphicElement, JRDesignImage, JRDesignLine, JRDesignRectangle, JRDesignStaticText, JRDesignSubreport, JRDesignTextElement, JRDesignTextField, JRFillBreak, JRFillChart, JRFillComponentElement, JRFillCrosstab, JRFillDataset, JRFillDatasetRun, JRFillElement, JRFillEllipse, JRFillFrame, JRFillGenericElement, JRFillGraphicElement, JRFillImage, JRFillLine, JRFillRectangle, JRFillStaticText, JRFillSubreport, JRFillTextElement, JRFillTextField, JRRecordedValuesGenericPrintElement, JRRecordedValuesPrintImage, JRRecordedValuesPrintText, JRTemplateGenericPrintElement, JRTemplatePrintElement, JRTemplatePrintEllipse, JRTemplatePrintFrame, JRTemplatePrintGraphicElement, JRTemplatePrintImage, JRTemplatePrintLine, JRTemplatePrintRectangle, JRTemplatePrintText, MarkerFillDatasetRun, StandardBaseColumn, StandardColumn, StandardColumnGroup, TableJasperReport, TableReport, TableReportDataset, TableSubreport

      public interface JRIdentifiable

  Version:
    $Id: JRIdentifiable.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.UUID` | `getUUID()`

- - ### Method Detail

    - #### getUUID

          java.util.UUID getUUID()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com